X2Go Bug report logs - #1051
failing .deb builds due to flaw in code-to-version conversion scripts

Package: buildscripts; Maintainer for buildscripts is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Mon, 4 Jul 2016 12:45:02 UTC

Severity: important

Done: Stefan Baur <X2Go-ML-1@baur-itcs.de>

Bug is archived. No further changes may be made.

Full log


đź”— View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.x2go.org
From: owner@bugs.x2go.org (X2Go Bug Tracking System)
Subject: Bug#1051 closed by Stefan Baur <X2Go-ML-1@baur-itcs.de> (Closing
 because sunweaver said so)
Message-ID: <handler.1051.q1051.170535289110447.notifdone@bugs.x2go.org>
References: <81ef75a2-9aee-405d-a938-da0153939684@baur-itcs.de>
X-X2go-PR-Message: they-closed 1051
X-X2go-PR-Package: buildscripts
Date: Mon, 15 Jan 2024 21:10:03 +0000
Content-Type: multipart/mixed; boundary="----------=_1705353003-12085-0"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your Bug report
which was filed against the buildscripts package:

#1051: failing .deb builds due to flaw in code-to-version conversion scripts

It has been closed by Stefan Baur <X2Go-ML-1@baur-itcs.de>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Baur <X2Go-ML-1@baur-itcs.de> by
replying to this email.


-- 
1051: https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1051
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems
[Message part 2 (message/rfc822, inline)]
From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 1051-quiet@bugs.x2go.org
Subject: Closing because sunweaver said so
Date: Mon, 15 Jan 2024 22:08:05 +0100
Control: close -1
Control: archive -1


-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[Message part 3 (message/rfc822, inline)]
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: failing .deb builds due to flaw in code-to-version conversion scripts
Date: Mon, 04 Jul 2016 12:40:16 +0000
[Message part 4 (text/plain, inline)]
Package: buildscripts
Severity: important

Hi Mihai,

I have played with X2Go Server a little today, trying to get the new  
execution logic for nxagent/x2goagent into X2Go Server 4.1.0.0. While  
doing that, I stumbled over build failures due to a flaw in the  
buildscripts.

This fixes the occurring issues:

```
jenkins@japsand:~/buildscripts$ git diff
diff --git a/bin/debian-codename-to-version.sh  
b/bin/debian-codename-to-version.sh
index 8bd0384..315fcbd 100755
--- a/bin/debian-codename-to-version.sh
+++ b/bin/debian-codename-to-version.sh
@@ -76,7 +76,5 @@ case "${codename}" in
        ("rex") echo "1.2";;
        ("buzz") echo "1.1";;

-       (*) ret="1";;
+       (*) echo "1";;
 esac
-
-return "${ret}"
diff --git a/bin/ubuntu-codename-to-version.sh  
b/bin/ubuntu-codename-to-version.sh
index 943e130..f0c1418 100755
--- a/bin/ubuntu-codename-to-version.sh
+++ b/bin/ubuntu-codename-to-version.sh
@@ -66,7 +66,5 @@ case "${codename}" in
        ("hoary") echo "5.04";;
        ("warty") echo "4.10";;

-       (*) ret="1";;
+       (*) echo "1";;
 esac
-
-return "${ret}"
```

light+love
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 5 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Jul 20 16:56:50 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.